(height, percent, charge, low, lpm, m_color, b_color) {
	var canvas = document.createElement("canvas");
	canvas.height = height/2;
	canvas.width = height * 1.1;
	var ctx = canvas.getContext("2d");
	
	var r = height / 12;
	var line_Width = 1;
	var p_Left = line_Width/2;
	var p_Right = canvas.width - line_Width/2;
	var p_Top = line_Width/2;
	var p_Bottom = canvas.height - line_Width/2;
	var pi = Math.PI;
	
	ctx.beginPath();
	ctx.strokeStyle = "rgb(" + b_color.slice(0, 3).join()+ ")";
	ctx.lineWidth = line_Width;
	ctx.moveTo( p_Left+r, p_Top );
	ctx.lineTo( p_Right-r, p_Top );
	ctx.arc( p_Right-r, p_Top+r, r, -pi/2, 0, false);
	ctx.lineTo( p_Right,  p_Bottom-r );
	ctx.arc( p_Right-r, p_Bottom-r, r, 0, pi/2, false);
	ctx.lineTo( p_Left+r, p_Bottom);
	ctx.arc( p_Left+r, p_Bottom-r, r, pi/2, pi, false);
	ctx.lineTo( p_Left, p_Top+r);
	ctx.arc( p_Left+r, p_Top+r, r, pi, pi*3/2, false);
	ctx.closePath();
	ctx.stroke();



    return canvas.toDataURL("image/png");
}
